json1 library Null safety

Experimental bindings to the json1 sqlite extension.

Note that the json1 extension might not be available on all runtimes. When using this library, it is recommended to use a NativeDatabase with a dependency on sqlite3_flutter_libs.

Extensions

JsonExtensions
Defines extensions on string expressions to support the json1 api from Dart.